Bug 1287881 - Heat UI objects are not displayed in the UI
Heat UI objects are not displayed in the UI
Status: CLOSED ERRATA
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-django-horizon (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
unspecified Severity low
: ---
: 7.0 (Kilo)
Assigned To: Matthias Runge
Ido Ovadia
: ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-02 17:22 EST by Eric Rich
Modified: 2016-06-21 18:40 EDT (History)
6 users (show)

See Also:
Fixed In Version: python-django-horizon-2015.1.3-1.el7ost
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-21 18:40:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:1272 normal SHIPPED_LIVE Important: python-django-horizon security, bug fix, and enhancement update 2016-06-21 22:39:29 EDT

  None (edit)
Description Eric Rich 2015-12-02 17:22:00 EST
Decription of problem:

Images for heat resources are not displayed in the UI, however they are installed on the system. 

# grep 404 /var/log/httpd/horizon_access.log | grep .gif
10.10.0.1 - - [02/Dec/2015:17:03:48 -0500] "GET /static/dashboard/img/stack-gray.gif HTTP/1.1" 404 233 "http://OPENSTACK.redhat.com/dashboard/project/stacks/stack/154390f5-5306-4eb8-9f46-4e21486d37a5/" "Mozilla/5.0 (X11; Fedora; Linux x86_64; rv:40.0) Gecko/20100101 Firefox/40.0"
10.10.0.1 - - [02/Dec/2015:17:08:09 -0500] "GET /static/dashboard/img/stack-gray.gif HTTP/1.1" 404 233 "http://OPENSTACK.redhat.com/dashboard/project/stacks/stack/154390f5-5306-4eb8-9f46-4e21486d37a5/" "Mozilla/5.0 (X11; Fedora; Linux x86_64; rv:40.0) Gecko/20100101 Firefox/40.0"

Steps to Reproduce:
1. Deploy a sample stack images are not shown

Additional info:

Images in question: 
/usr/share/openstack-dashboard/openstack_dashboard/static/dashboard/img/stack-gray.gif
/usr/share/openstack-dashboard/static/dashboard/img/stack-gray.gif

# rpm -qf /usr/share/openstack-dashboard/static/dashboard/img/stack-gray.gif
openstack-dashboard-2015.1.0-11.el7ost.noarch

# rpm -qf /usr/share/openstack-dashboard/openstack_dashboard/static/dashboard/img/stack-gray.gif
openstack-dashboard-2015.1.0-11.el7ost.noarch
Comment 2 Matthias Runge 2016-01-04 07:26:01 EST
fixing target release, I believe, this is fixed with any package after python-django-horizon-2015.1.2-2.el7ost
Comment 3 Itxaka 2016-03-02 06:55:53 EST
Tested under python-django-horizon-2015.1.2-4.el7ost and its fixed. Heat UI shows the proper icons and there are no 404 in the logs anymore.
Comment 4 Itxaka 2016-04-18 06:44:57 EDT
Eric, seems to be fixed with any version over python-django-horizon-2015.1.2-2.el7ost
Comment 5 Eric Rich 2016-04-18 09:29:21 EDT
(In reply to Itxaka from comment #4)
> Eric, seems to be fixed with any version over
> python-django-horizon-2015.1.2-2.el7ost

Yes, it does, I just confirmed this.
Comment 6 Ido Ovadia 2016-05-22 06:26:37 EDT
Verified
========
python-django-horizon-2015.1.3-3.el7ost.noarch
Comment 8 errata-xmlrpc 2016-06-21 18:40:30 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2016:1272

Note You need to log in before you can comment on or make changes to this bug.